ata_tf_from_fis
Prev | Chapter 4. libata Library | Next

## Name

ata_tf_from_fis — Convert SATA FIS to ATA taskfile

## Synopsis

`void ata_tf_from_fis (` | const u8 * | fis,
| struct ata_taskfile * | tf`)`;

## Arguments

`fis`

  Buffer from which data will be input

`tf`

  Taskfile to output

## Description

Converts a serial ATA FIS structure to a standard ATA taskfile.

## LOCKING

Inherited from caller.

Prev | Up | Next
ata_tf_to_fis | Home | ata_dev_classify